Submitted By:            Igor Živković
Date:                    2016-01-19
Initial Package Version: 2.8.5
Upstream Status:         Not submitted
Origin:                  Self
Description:             Fixes a syntax error and configure output on BusyBox systems.

--- ffmpeg-2.8.5.orig/configure
+++ ffmpeg-2.8.5/configure
@@ -423,7 +423,7 @@
 
 log_file(){
     log BEGIN $1
-    pr -n -t $1 >> $logfile
+    cat $1 | awk '{printf "%5d\t%s\n", NR, $0}' >> $logfile
     log END $1
 }
 
@@ -3032,7 +3032,7 @@
 }
 
 print_3_columns() {
-    cat | tr ' ' '\n' | sort | pr -r -3 -t
+    cat | tr ' ' '\n' | sort | xargs printf "%-24s%-24s%-24s\n" 
 }
 
 show_list() {
@@ -4556,7 +4556,7 @@
         # found in the SDK headers by default. (Alternatively, we could force
         # _WIN32_WINNT to 0x0602 in that case.)
         check_${pfx}cpp_condition stdlib.h "defined(_WIN32_WINNT)" ||
-            { check_${pfx}cpp <<EOF && add_${pfx}cppflags -D_WIN32_WINNT=0x0502; }
+            { check_${pfx}cpp <<EOF && add_${pfx}cppflags -D_WIN32_WINNT=0x0502;
 #ifdef WINAPI_FAMILY
 #include <winapifamily.h>
 #if !WINAPI_FAMILY_PARTITION(WINAPI_PARTITION_DESKTOP)
@@ -4564,7 +4564,7 @@
 #endif
 #endif
 EOF
-    elif check_${pfx}cpp_condition stddef.h "defined __KLIBC__"; then
+    } elif check_${pfx}cpp_condition stddef.h "defined __KLIBC__"; then
         eval ${pfx}libc_type=klibc
     elif check_${pfx}cpp_condition sys/cdefs.h "defined __BIONIC__"; then
         eval ${pfx}libc_type=bionic
